%define major 2
%define libname %mklibname mhash %{major}
%define develname %mklibname mhash -d

Summary:	Thread-safe hash library
Name:		mhash
Version:	0.9.9.9
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://mhash.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/mhash/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Mhash is a thread-safe hash library, implemented in C, and provides a uniform
interface to a large number of hash algorithms (MD5, SHA-1, HAVAL, RIPEMD128,
RIPEMD160, TIGER, GOST). These algorithms can be used to compute checksums,
message digests, and other signatures. The HMAC support implements the basics
for message authentication,  following RFC 2104.

%package -n	%{libname}
Summary:	Thread-safe hash library
Group:		System/Libraries

%description -n	%{libname}
Mhash is a thread-safe hash library, implemented in C, and provides a uniform
interface to a large number of hash algorithms (MD5, SHA-1, HAVAL, RIPEMD128,
RIPEMD160, TIGER, GOST). These algorithms can be used to compute checksums,
message digests, and other signatures. The HMAC support implements the basics
for message authentication,  following RFC 2104.

%package -n	%{develname}
Summary:	Header files and libraries for developing apps which will use mhash
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	mhash-devel = %{version}-%{release}
Obsoletes:	%{mklibname mhash 2 -d}

%description -n	%{develname}
Mhash is a thread-safe hash library, implemented in C, and provides a uniform
interface to a large number of hash algorithms (MD5, SHA-1, HAVAL, RIPEMD128,
RIPEMD160, TIGER, GOST). These algorithms can be used to compute checksums,
message digests, and other signatures. The HMAC support implements the basics
for message authentication,  following RFC 2104.

The mhash-devel package contains the header files and libraries needed to
develop programs that use the mhash library.

Install the mhash-devel package if you want to develop applications that will
use the mhash library.

%prep

%setup -q

%build

%configure2_5x \
    --enable-static \
    --enable-shared

%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall

# install _all_ headers
install -m0644 include/*.h %{buildroot}%{_includedir}/
install -m0644 include/mutils/*.h %{buildroot}%{_includedir}/mutils/

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README TODO doc/*.c doc/skid2* 
%{_includedir}/*.h
%dir %{_includedir}/mutils
%{_includedir}/mutils/*.h
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/man3/*


%changelog
* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.9.9-1mdv2009.1
+ Revision: 316254
- 0.9.9.9

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.9-6mdv2009.0
+ Revision: 223257
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.9-5mdv2008.1
+ Revision: 153075
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.9-4mdv2008.0
+ Revision: 89929
- rebuild

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.9-3mdv2008.0
+ Revision: 83414
- fix deps

* Thu Sep 06 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.9-2mdv2008.0
+ Revision: 81139
- bump release due to build system problems
- 0.9.9


* Tue Feb 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.8-1mdv2007.0
+ Revision: 123011
- 0.9.8
- drop the ppc patch, it's implemented upstream

* Fri Dec 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.7-2mdv2007.1
+ Revision: 101493
- patch0: fix haval on ppc for testsuite

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-1mdv2007.1
+ Revision: 74194
- Import mhash

* Mon Jun 26 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-1mdk
- 0.9.7

* Fri Mar 31 2006 Gtz Waschk <waschk@mandriva.org> 0.9.6-1mdk
- drop patches
- New release 0.9.6

* Fri Jan 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.4a-3mdk
- patch1: fix MIX32 byteswap macro (for big endian systems)

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.4a-2mdk
- install missing headers
- fix the test suite on x86_64 (P0 by Giuseppe Ghib)
- fix deps

* Tue Jan 10 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.4a-1mdk
- 0.9.4a

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-2mdk
- make it build on 10.0 too

* Thu Jan 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-1mdk
- 0.9.2
- run the test suite

* Mon Apr 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

